package modelo;
// Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final

import java.util.HashSet;
import java.util.Set;

/**
 * Grupo generated by hbm2java
 */
public class Grupo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private String descripcion;
	private Set<Articulo> articulos = new HashSet<Articulo>(0);

	public Grupo() {
	}

	public Grupo(String descripcion) {
		this.descripcion = descripcion;
	}

	public Grupo(String descripcion, Set<Articulo> articulos) {
		this.descripcion = descripcion;
		this.articulos = articulos;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Set<Articulo> getArticulos() {
		return this.articulos;
	}

	public void setArticulos(Set<Articulo> articulos) {
		this.articulos = articulos;
	}

	@Override
	public String toString() {
		return "Grupo [id=" + id + ", descripcion=" + descripcion + ", total articulos: " + articulos.size() + "]";
	}

}
